#!/bin/sh

set -e

version_number=$(bzr tags |grep ^u1f- |tail -1 |sed -r -e "s/^u1f-//" -e "s/ .*//")
bzr_revno=$(bzr revno)

root=$(bzr root)

TARGETFILE=AndroidManifest.xml

rm -f ${root:-.}/${TARGETFILE}

sed 1q                                                                         >  ${root:-.}/${TARGETFILE} < ${root:-.}/${TARGETFILE}.in
echo                                                                           >> ${root:-.}/${TARGETFILE}
echo                                                                           >> ${root:-.}/${TARGETFILE}
echo                                                                           >> ${root:-.}/${TARGETFILE}
echo                                                                           >> ${root:-.}/${TARGETFILE}
echo                                                                           >> ${root:-.}/${TARGETFILE}
echo                                                                           >> ${root:-.}/${TARGETFILE}
echo                                                                           >> ${root:-.}/${TARGETFILE}
echo "<!-- THI""S FIL""E IS AUT""OMATICAL""Y GENERAT""ED. DO N""OT EDIT. -->"  >> ${root:-.}/${TARGETFILE}
echo "<!-- See ${TARGETFILE}.in -->"                                           >> ${root:-.}/${TARGETFILE}
echo                                                                           >> ${root:-.}/${TARGETFILE}
echo                                                                           >> ${root:-.}/${TARGETFILE}
echo                                                                           >> ${root:-.}/${TARGETFILE}
echo                                                                           >> ${root:-.}/${TARGETFILE}
echo                                                                           >> ${root:-.}/${TARGETFILE}
sed -e 1d -e "s/@VERSIONNUMBER@/${version_number}/g" -e "s/@BZRREVNO@/${bzr_revno}/" >> ${root:-.}/${TARGETFILE} < ${root:-.}/${TARGETFILE}.in
echo                                                                           >> ${root:-.}/${TARGETFILE}
echo                                                                           >> ${root:-.}/${TARGETFILE}
echo                                                                           >> ${root:-.}/${TARGETFILE}
echo                                                                           >> ${root:-.}/${TARGETFILE}
echo "<!-- THI""S FIL""E IS AUT""OMATICAL""Y GENERAT""ED. DO N""OT EDIT. -->"  >> ${root:-.}/${TARGETFILE}
